GDB (xrefs)

Public Attributes | List of all members
inf_wait Struct Reference

## Public Attributes
struct target_waitstatus | status
struct exc_state | exc
struct proc * | thread
int | suppress

## Detailed Description

Definition at line 165 of file gnu-nat.c.

## Member Data Documentation

## ◆ exc

struct exc_state inf_wait::exc

Definition at line 168 of file gnu-nat.c.

Referenced by gnu_resume(), inf_clear_wait(), inf_signal(), make_inf(), proc_abort(), and S_exception_raise_request().

## ◆ status

struct target_waitstatus inf_wait::status

Definition at line 167 of file gnu-nat.c.

Referenced by gnu_resume(), gnu_wait(), if(), inf_clear_wait(), inf_signal(), inf_task_died_status(), make_inf(), and S_exception_raise_request().

## ◆ suppress

int inf_wait::suppress

Definition at line 170 of file gnu-nat.c.

Referenced by do_mach_notify_dead_name(), gnu_wait(), inf_clear_wait(), and S_exception_raise_request().

## ◆ thread

struct proc* inf_wait::thread

Definition at line 169 of file gnu-nat.c.

Referenced by _proc_free(), gnu_resume(), gnu_wait(), inf_clear_wait(), inf_signal(), make_inf(), proc_abort(), and S_exception_raise_request().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gnu-nat.c